org.apache.ignite.internal.commandline

## Enum CommandList

- java.lang.Object
- - java.lang.Enum<CommandList>
  - - org.apache.ignite.internal.commandline.CommandList

All Implemented Interfaces:
  Serializable, Comparable<CommandList>

    public enum CommandList
    extends Enum<CommandList>

High-level commands.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVATE`
`BASELINE`
`CACHE`
`DEACTIVATE`
`DIAGNOSTIC`
`STATE`
`TX`
`WAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Command` `command()`
`static CommandList` `of(String text)`
`String` `text()`
`String` `toCommandName()`
`String` `toString()`
`static CommandList` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CommandList[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVATE

    public static final CommandList ACTIVATE

#### DEACTIVATE

    public static final CommandList DEACTIVATE

#### STATE

    public static final CommandList STATE

#### BASELINE

    public static final CommandList BASELINE

#### TX

    public static final CommandList TX

#### CACHE

    public static final CommandList CACHE

#### WAL

    public static final CommandList WAL

#### DIAGNOSTIC

    public static final CommandList DIAGNOSTIC

### Method Detail

#### values

    public static CommandList[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CommandList c : CommandList.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CommandList valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    public static CommandList of(String text)

Parameters:
  `text` - Command text.
Returns:
  Command for the text.

#### text

    public String text()

Returns:
  Command text.

#### command

    public Command command()

Returns:
  Command implementation.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CommandList>`

#### toCommandName

    public String toCommandName()

Returns:
  command name

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020